import {AdapterAPI} from '../api/AdapterAPI';
import {Analytics} from '../core/Analytics';
import {AnalyticsConfig} from '../types/AnalyticsConfig';
import {AnalyticsStateMachineOptions} from '../types/AnalyticsStateMachineOptions';
import {Adapter} from './Adapter';
import {VideojsInternalAdapter} from './internal/VideojsInternalAdapter';

export class VideojsAdapter extends Adapter implements AdapterAPI {
  constructor(config: AnalyticsConfig, player: any, opts?: AnalyticsStateMachineOptions) {
    super();
    this.internalAdapter = new VideojsInternalAdapter(player as videojs.default.Player, opts);
    this.analytics = new Analytics(config, this.internalAdapter);
  }
}
