/**
 * Represents one download speed measurement
 */
export interface SpeedMeasurement {
  /**
   * Download time in seconds
   */
  duration: number; // Time in seconds
  /**
   * Bytes downloaded
   */
  size: number; // Download size in bytes
  /**
   * Time to first byte of this download
   */
  timeToFirstByte: number;
  /**
   * Time the download finished
   */
  timestamp: Date;

  /**
   * HTTP Status of the download measurement
   */
  httpStatus: number;
}
