VERSION=`git describe`
PKG_VERSION=`node -p "require('./package.json').version"`

echo "#######------########"
echo 
echo "Git Tag: \t\t\t$VERSION"
echo "Version in Package.json \t$PKG_VERSION"
echo
echo "Do you want to publish to npm with this versions?"
echo
echo "#######------########"
read -p 'continue[y/n]: ' goon

if [[ "$goon" != "y" ]]; 
then 
    echo "#######------########"
    echo
    echo "Please check package.json and git tag for correct publishing" 
    echo 
    echo "#######------########"
    exit 1; 
fi

yarn format:check
if [ $? -ne 0 ]; then exit 1; fi
yarn lint
if [ $? -ne 0 ]; then exit 1; fi

rm -rd ./build/release
yarn build:release

./check_filesize.sh
if [ $? -ne 0 ]; then exit 1; fi

NEW_PKG_VERSION=`node -p "require('./build/release/package.json').version"`

echo "#######------########"
echo
echo "Is this the version you want to publish? "
echo "Package Version: \t$NEW_PKG_VERSION"
echo
echo "#######------########"
read -p 'continue[y/n]: ' goon

if [[ "$goon" != "y" ]]; 
then 

    echo "#######------########"
    echo
    echo "Check out if git tag is correct"
    echo "We use 'git describe' to set the new version"
    echo
    echo "You can also go on from here manually"
    echo "just type:"
    echo "\tcd ./build/release"
    echo "\tnpm publish"
    echo
    echo "#######------########"
    exit 1; 
fi

cd ./build/release

npm publish

echo "#######------########"
echo "Start CDN publish process"
echo "#######------########"
./publish.sh

echo "#######------########"
echo 
echo "Finished Publish process"
echo 
echo "#######------########"

