const scanner = require('sonarqube-scanner');


var getSonarArgs = (args) => {
  console.log(args);
  if (args[0] === 'BRANCH') {
    return {
      'sonar.branch.name': args[1],
      'sonar.branch.target': args[2],
    }
  }
  if (args[0] === 'PR') {
    return {
      'sonar.pullrequest.branch': args[1],
      'sonar.pullrequest.key': args[2],
      'sonar.pullrequest.base': args[3],
      'sonar.pullrequest.github.repository': "bitmovin/" + args[4],
    }
  }
};

var additionalOptions = getSonarArgs(process.argv.slice(2));
const opts = {
  //"sonar.projectVersion": "1.1.0",
  'sonar.projectName': 'Analytics Collector Web',
  'sonar.sources': 'js',
  'sonar.tests': 'tests',
  'sonar.typescript.lcov.reportPaths': 'coverage/lcov.info',
  'sonar.testExecutionReportPaths': 'test-report.xml',
  'sonar.sourceEncoding': 'UTF-8',
  ...additionalOptions
};
scanner(
  {
    // this example uses local instance of SQ
    serverUrl: 'https://sonar.bitmovin.com',
    token: 'f2b9a4443a80221d6f6372fa5697b6616c7569ba',
    options: opts,
  },
  () => {
    // callback is required
  }
);
