import {Event} from '../../js/enums/Event';
import {defaultStateMachineCallbacks} from '../../js/types/StateMachineCallbacks';
import {MockedBitmovin8StateMachine} from '../utils/MockedBitmovin8StateMachine';
import {MockInternalAdapterApi} from '../utils/MockInternalAdapterApi';

describe('Rebuffer Timeout', () => {
  it('ends in ERROR state and stops collection', async () => {
    jest.setTimeout(1000 * 3);
    const stop_collectingSpy = jest.spyOn(defaultStateMachineCallbacks, 'stop_collecting');
    const stateMachine = new MockedBitmovin8StateMachine(
      defaultStateMachineCallbacks,
      {starttime: undefined},
      {rebufferTimeoutMs: 1000 * 2}
    );
    const adapter = new MockInternalAdapterApi(stateMachine);
    adapter.eventCallback(Event.SOURCE_LOADED, {currentTime: 0});
    adapter.eventCallback(Event.PLAY, {currentTime: 0});
    adapter.eventCallback(Event.TIMECHANGED, {currentTime: 0});
    adapter.eventCallback(Event.START_BUFFERING, {currentTime: 0});
    await new Promise((resolve) => {
      setTimeout(() => {
        resolve();
      }, 1000 * 2);
    });

    expect(stateMachine.getCurrentState()).toBe('ERROR');
    expect(stop_collectingSpy).toBeCalled();
  });
});
