import {isDifferentSubtitleInfo} from '../../js/types/SubtitleInfo';

describe('isDifferentSubtitleInfo', () => {
  test('returns true if one of the parameters is null', () => {
    expect(isDifferentSubtitleInfo({enabled: false}, undefined)).toBeTruthy();
    expect(isDifferentSubtitleInfo(undefined, {enabled: false})).toBeTruthy();
  });
  test('returns true if enabled changed', () => {
    expect(isDifferentSubtitleInfo({enabled: false}, {enabled: true})).toBeTruthy();
    expect(isDifferentSubtitleInfo({enabled: true}, {enabled: false})).toBeTruthy();
  });
  test('returns true if language changed', () => {
    expect(isDifferentSubtitleInfo({enabled: false}, {enabled: false, language: 'en'})).toBeTruthy();
    expect(isDifferentSubtitleInfo({enabled: false, language: 'en'}, {enabled: false})).toBeTruthy();
    expect(isDifferentSubtitleInfo({enabled: false, language: 'en'}, {enabled: false, language: 'de'})).toBeTruthy();
  });
  test('returns false if nothing changed', () => {
    expect(isDifferentSubtitleInfo(undefined, undefined)).toBeFalsy();
    expect(isDifferentSubtitleInfo({enabled: false}, {enabled: false})).toBeFalsy();
    expect(isDifferentSubtitleInfo({enabled: true}, {enabled: true})).toBeFalsy();
    expect(isDifferentSubtitleInfo({enabled: false, language: 'en'}, {enabled: false, language: 'en'})).toBeFalsy();
  });
});
