import {EventDispatcher} from '../../js/core/EventDispatcher';
import {MockDeferredLicenseLoadingAdapter} from './MockDeferredLicenseLoadingAdapter';

export class MockDeferredLicenseLoadingAdapterWithSupport extends MockDeferredLicenseLoadingAdapter {
  public _onLicenseKeyReceived: EventDispatcher<{
    licenseKey: string;
  }> = new EventDispatcher();
  public _onLicenseCallFailed: EventDispatcher<{}> = new EventDispatcher();

  constructor(private _supports: boolean) {
    super();
  }

  get onLicenseKeyReceived() {
    return this._onLicenseKeyReceived;
  }

  get onLicenseCallFailed() {
    return this._onLicenseCallFailed;
  }

  get supportsDeferredLicenseLoading() {
    return this._supports;
  }
}
