import {DeferredLicenseLoadingAdapterAPI} from '../../js/adapters/internal/DeferredLicenseLoadingAdapterAPI';
import {Backend} from '../../js/core/Backend';
import {BackendFactory} from '../../js/core/BackendFactory';
import {AnalyticsConfig} from '../../js/types/AnalyticsConfig';
import {LicensingRequest} from '../../js/types/LicensingRequest';
import {TestBackend} from './TestBackend';

export class TestBackendFactory extends BackendFactory {
  public testBackend: TestBackend;

  constructor(backend: TestBackend) {
    super();
    this.testBackend = backend;
  }

  public createBackend(
    analyticsConfig: AnalyticsConfig,
    info: LicensingRequest,
    adapter: DeferredLicenseLoadingAdapterAPI
  ): Backend {
    return this.testBackend;
  }
}
